al_attach_mixer_to_mixer(3)

NAME

al_attach_mixer_to_mixer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_attach_mixer_to_mixer(ALLEGRO_MIXER *stream, ALLEGRO_MIXER *mixer)

DESCRIPTION

Attaches the mixer passed as the first argument onto the mixer passed as the second argument. The first mixer (that is going to be attached) must not already be attached to anything. Both mixers must use the same frequency, audio depth and channel configuration.

Returns true on success, false on error.

It is invalid to attach a mixer to itself.

SEE ALSO

al_detach_mixer(3).